Package: org.gmetrics.metric.coupling

## [Groovy] Class EfferentCouplingMetric

- org.gmetrics.metric.coupling.EfferentCouplingMetric

- All Implemented Interfaces and Traits:
    PostProcessingMetric

      class EfferentCouplingMetric
      extends AbstractPackageCouplingMetric

  Metric for counting the number of other packages that the classes in the package depend upon.

  Authors:
    Chris Mair

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractPackageCouplingMetric` | `REFERENCED_PACKAGES`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterAllSourceCodeProcessed()`
    `` | `protected MetricResult` | `calculateForPackage(String path, String packageName, Collection<MetricResult> childMetricResults)`
    `` | `protected MetricResult` | `getMetricResult(String packageName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractPackageCouplingMetric` | `calculateForClass`
    `class AbstractMetric` | `applyToClass, applyToPackage, calculateForClass, calculateForPackage, createAggregateMetricResult, isNotAnInterface`

- - ### Property Detail

    - #### final String name

  - ### Method Detail

    - #### @Override void afterAllSourceCodeProcessed()

    - #### @Override protected MetricResult calculateForPackage(String path, String packageName, Collection<MetricResult> childMetricResults)

    - #### protected MetricResult getMetricResult(String packageName)